Page MenuHomePhabricator

FOUC on slow connections
Closed, ResolvedPublic

Description

As reported by Jon on https://gerrit.wikimedia.org/r/#/c/152104/

Confirmed FOUC on:

  • anon warning
  • new-topic content textarea

Both of those have .flow-form-collapsible, which will be hidden/displayed by JS based on the form's data-flow-initial-state. Before that JS is loaded/executed, those elements will be visible (though the default state for all currently is to hide them)

We probably have to tweak that implementation. I'd suggest to have the show/hide in CSS rather than JS, roughly like this:

[data-flow-initial-state=hidden] {
    display: none;
}
[data-flow-initial-state=collapsed] .flow-form-collapsible {
    display: none
}

Rest of the collapse logic can probably stay in JS (I guess.. Other implementations are fine - this is just my initial thought)

Please add to this bug if there are other FOUC that need to be addressed.


Version: unspecified
Severity: normal

Details

Reference
bz69220

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:41 AM
bzimport set Reference to bz69220.
bzimport added a subscriber: Unknown Object (MLST).

Change 156489 had a related patch set uploaded by Jdlrobson:
Avoid flash of unstyled content on new topic form

https://gerrit.wikimedia.org/r/156489

Change 156489 merged by jenkins-bot:
Avoid flash of unstyled content on new topic form

https://gerrit.wikimedia.org/r/156489

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

EBernhardson closed this task as Resolved.Dec 11 2014, 2:45 AM
EBernhardson claimed this task.

Confirmed fixed.

EBernhardson triaged this task as Medium priority.Dec 11 2014, 2:46 AM
EBernhardson set Security to None.
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM